import type { Player } from './player';
declare const playerMap: Map<HTMLCanvasElement, Player>;
/**
 * 判断指定的 canvas 是否有播放器正在使用
 * @param canvas - 指定的 canvas
 * @returns
 */
export declare function isCanvasUsedByPlayer(canvas: HTMLCanvasElement): boolean;
/**
 * 获取 canvas 对应的播放器
 * @param canvas - 指定的 canvas
 * @returns
 */
export declare function getPlayerByCanvas(canvas: HTMLCanvasElement): Player | undefined;
/**
 * 获取使用中的播放器
 * @returns
 */
export declare function getActivePlayers(): Player[];
/**
 * 同时允许的播放器数量超过 1 时打印错误
 */
declare function assertNoConcurrentPlayers(): void;
export { playerMap, assertNoConcurrentPlayers, };
